Bug 223011 - network init script doesn't stop VLAN_PLUS_VID_NO_PAD vlans
network init script doesn't stop VLAN_PLUS_VID_NO_PAD vlans
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On: 222975
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-17 10:33 EST by Bill Nottingham
Modified: 2014-03-16 23:04 EDT (History)
2 users (show)

See Also:
Fixed In Version: 8.50-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-19 17:38:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2007-01-17 10:33:22 EST
+++ This bug was initially created as a clone of Bug #222975 +++

Description of problem:

vlan interfaces created with VLAN_NAME_TYPE=VLAN_PLUS_VID_NO_PAD aren't stopped
by /etc/rc.d/init.d/network.

Version-Release number of selected component (if applicable):

initscripts-7.93.25.EL-1

How reproducible:

Always

Steps to Reproduce:

1. Add the following lines on /etc/sysconfig/network:
VLAN=yes
VLAN_NAME_TYPE=VLAN_PLUS_VID_NO_PAD
2. Create a vlan interface named vlan2
3. Bring vlan2 up: ifup vlan2
4. Stop network: service network stop
  
Actual results:

The vlan interface is not stopped.

Expected results:

The vlan interface should be stopped.

Additional info:

The attached patch fixes this problem.

-- Additional comment from villapla@si.uji.es on 2007-01-17 04:00 EST --
Created an attachment (id=145780)
/etc/rc.d/init.d/network support for VLAN_PLUS_VID_NO_PAD vlans
Comment 1 Bill Nottingham 2007-01-17 12:20:31 EST
Added in CVS, will be in 8.50-1.

Note You need to log in before you can comment on or make changes to this bug.